import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[岗位]
   */
  page(form) {
    return HttpKit.post(`/platform/job/page`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[岗位]
   */
  saveOrUpdate(form) {
    return HttpKit.post(`/platform/job/save-or-update`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[岗位]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post(`/platform/job/handle-is-del`, { id: id }).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[岗位]节点
   */
  nodes() {
    return HttpKit.post(`/platform/job/nodes`).then(
      res => res.data
    )
  }

}
